# Twitter Search

## Try it in the Widget Center

Click this [url](https://app.myshell.ai/robot-workshop/widget/1784206090390036480) to try this widget and copy the Pro Config template.

## Usage

If you want to use Twitter's advanced search features, such as keywords, retweets, please refer to <https://github.com/igorbrigadir/twitter-advanced-search>

**Input Parameters**

<table><thead><tr><th>Name</th><th>Type</th><th>Description</th><th>Default</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>query</td><td><code>string</code></td><td>The query string to search for</td><td></td><td>true</td></tr><tr><td>sort_order</td><td><code>string</code></td><td>The sort order of the results</td><td>relevancy</td><td>true</td></tr></tbody></table>

**Output Parameters**

| Name | Type    | Description         | File Type |
| ---- | ------- | ------------------- | --------- |
| data | `array` | The list of tweets. |           |

**Output Example**

{% tabs %}
{% tab title="success" %}
{% code fullWidth="false" %}

````json
{
  "data": [
    {
      "author": {
        "affiliatesHighlightedLabel": {},
        "canDm": false,
        "canMediaTag": true,
        "coverPicture": "",
        "createdAt": "Thu Jul 29 22:49:33 +0000 2021",
        "description": "",
        "entities": {
          "description": {
            "urls": []
          },
          "url": {}
        },
        "fastFollowersCount": 0,
        "favouritesCount": 155999,
        "followers": 8113,
        "following": 1282,
        "hasCustomTimelines": true,
        "id": "1420878857180258305",
        "isBlueVerified": false,
        "isTranslator": false,
        "isVerified": false,
        "location": "🪩",
        "mediaCount": 1796,
        "name": "Valérie H.neema",
        "pinnedTweetIds": [
          "1540269324258222083"
        ],
        "possiblySensitive": false,
        "profilePicture": "https://pbs.twimg.com/profile_images/1560306998083833856/MggbXEuI_normal.jpg",
        "profile_bio": {
          "description": "Coeur \nBrave \nEsprit",
          "entities": {
            "description": {}
          }
        },
        "status": "",
        "statusesCount": 74331,
        "twitterUrl": "https://twitter.com/neema_valerie",
        "type": "user",
        "url": "https://x.com/neema_valerie",
        "userName": "neema_valerie",
        "withheldInCountries": []
      },
      "bookmarkCount": 0,
      "card": null,
      "conversationId": "1866037108994928970",
      "createdAt": "Mon Dec 09 12:51:39 +0000 2024",
      "entities": {
        "user_mentions": [
          {
            "id_str": "730204540717420545",
            "indices": [
              0,
              16
            ],
            "name": "Litsani Choukran",
            "screen_name": "LitsaniChoukran"
          },
          {
            "id_str": "1709237168",
            "indices": [
              17,
              26
            ],
            "name": "yale seti",
            "screen_name": "YaleSeti"
          },
          {
            "id_str": "130537001",
            "indices": [
              27,
              41
            ],
            "name": "Giorgia Meloni",
            "screen_name": "GiorgiaMeloni"
          },
          {
            "id_str": "44196397",
            "indices": [
              42,
              51
            ],
            "name": "Elon Musk",
            "screen_name": "elonmusk"
          }
        ]
      },
      "extendedEntities": {},
      "id": "1866103413827592275",
      "inReplyToId": "1866038414249959773",
      "inReplyToUserId": "730204540717420545",
      "inReplyToUsername": "LitsaniChoukran",
      "isConversationControlled": false,
      "isPinned": false,
      "isReply": true,
      "lang": "und",
      "likeCount": 0,
      "place": {},
      "quoteCount": 0,
      "quoted_tweet_results": null,
      "replyCount": 0,
      "reply_to_user_results": {
        "rest_id": "730204540717420545",
        "result": {
          "__typename": "User",
          "core": {
            "screen_name": "LitsaniChoukran"
          },
          "rest_id": "730204540717420545"
        }
      },
      "retweetCount": 0,
      "source": "Twitter for iPhone",
      "text": "@LitsaniChoukran @YaleSeti @GiorgiaMeloni @elonmusk Hummmm...",
      "twitterUrl": "https://twitter.com/neema_valerie/status/1866103413827592275",
      "type": "tweet",
      "url": "https://x.com/neema_valerie/status/1866103413827592275",
      "viewCount": 0
    }
  ]
}
```
````

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://myshell-wiki.gitbook.io/proconfig-tutorial/api-reference/widgets/45-twitter-search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
